a {
    text-decoration: none;
}

p {
    line-height: 1.6;
    font-size: 15px;
    color: rgb(116, 129, 130);
    margin: 0px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Montserrat', sans-serif;
}

body {
    font-family: 'Poppins', sans-serif;
}

/*********************navbar*******************/
.logo {
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 20px;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #343434;

}

.nav-link::after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    background-color: #343434;
    left: 0;
    bottom: 0;
    transition: 0.5s ease;
    -webkit-transition: 0.5s ease;
    -moz-transition: 0.5s ease;
    -ms-transition: 0.5s ease;
    -o-transition: 0.5s ease;
}

.nav-link.active::after {
    width: 100%;
}

.nav-item {
    font-size: 14px;
    position: relative;
    text-transform: capitalize;
    padding-inline: 20px;
}

.navbar-expand-lg .navbar-nav .nav-link {
    padding: 0;
    color: #343434;
    position: relative;
}

/****************home section******************/
.home-sec {
    height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url(../imgs/imgs/bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

.content-home {
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.content-home h4 {
    font-size: 50px;
    font-weight: 800;
    margin-bottom: 10px;
}

.content-home h2 {
    font-size: 60px;
    font-weight: 200;
    margin-bottom: 10px;
    white-space: nowrap;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.animation {
    display: inline-block;
    overflow: hidden;
    white-space: nowrap;
    font-weight: 400;
    transition: 0.3s ease;
    -webkit-transition: 0.3s ease;
    -moz-transition: 0.3s ease;
    -ms-transition: 0.3s ease;
    -o-transition: 0.3s ease;
    animation: animate 7s 1s infinite;
    -webkit-animation: animate 7s 1s infinite;
}

.animation::after {
    content: 'Larry Daniels';
    animation: animate2 7s 1s ease infinite;
    -webkit-animation: animate2 7s 1s ease infinite;
}

@keyframes animate {

    0%,
    30%,
    60%,
    100% {
        width: 100%;
        padding-right: 8px;
    }

    15%,
    45%,
    75% {
        width: 0%;
        padding-right: 0px;
    }
}

@keyframes animate2 {

    0%,
    99%,
    100% {
        content: 'Larry Daniels';
    }

    40% {
        content: 'Developer';
    }

    60% {
        content: 'Designer';
    }
}

.list {
    display: flex;
    gap: 5px;
    list-style: none;
    margin-top: 30px;
}

.list a {
    color: white;
    text-decoration: none;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}

/****************About section******************/
.about-img img {
    padding: 0 0 0 30px;
}

.about-img::after {
    content: "";
    position: absolute;
    width: 80%;
    height: 80%;
    left: 0;
    bottom: -30px;
    background-image: url(../imgs/imgs/dots.png);
    background-repeat: repeat;
    z-index: -1;
}

.about-sec h3 {
    color: #343434;
    font-size: 30px;
    font-weight: 800;
}

.about-title {
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 2px;
    color: #999999;
}

.about-para {
    font-size: 15px;
    font-weight: 400;
    line-height: 1.6;
    color: #748182;
}

.about-para span {
    font-weight: 700;
}

.progress {
    height: 25px;
}

.progress-bar {
    background-color: #1C1C1C;
}

.btn-custom-black a {
    color: white;
    font-size: 15px;
}

.btn-custom-black {
    background-color: #1C1C1C;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
}

.btn-custom-black:hover {
    background-color: white;
    border: #1C1C1C 1px solid;

}

.btn-custom-black:hover a {
    color: #1C1C1C;
}

.btn-custom-white a {
    color: #1C1C1C;
    font-size: 15px;
}

.btn-custom-white {
    border: #1C1C1C 1px solid;
    background-color: white;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
}

.btn-custom-white:hover {
    background-color: #1C1C1C;
}

.btn-custom-white:hover a {
    color: white;
}

/****************Services section******************/

h2 {
    font-weight: bold;
    text-align: center;
    margin-bottom: 40px;
}

.service-card {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.05);
    padding: 30px;
    text-align: center;
    transition: none;
}

.service-card p {
    color: #748182;
    font-size: 14px;
    font-weight: 400;
    word-spacing: 2px;
    line-height: 1.6;
}

.service-icon {
    width: 70px;
    height: 70px;
    margin: 0 auto 20px;
    background-color: #f1f1f1;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    color: #333;
    transition: background-color 0.3s, color 0.3s;
}

.service-card:hover .service-icon {
    background-color: #3C3C3C;
    color: #fff;
}

.service-card h5 {
    font-weight: bold;
}

/****************works section******************/
.nav-tabs .nav-link {
    color: #000;
    border: none;
    font-size: 16px;
}

.nav-tabs .nav-link.active {
    border-bottom: 1px solid #000;
}



.nav-tabs .nav-link {
  color: #000;
  font-weight: bold;
  font-size: 1.1rem;
}

.nav-tabs .nav-link.active {
  border-bottom: 2px solid #000;
}

img {
  background-color: #fff;
  padding: 5px;
  border: 1px solid #eee;
}
/**/
.portfolio-item {
  position: relative;
  overflow: hidden;
  cursor: pointer;
}

.portfolio-item img {
  display: block;
  width: 100%;
  height: auto;
}

.portfolio-item .overlay {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.7); /* أبيض شفاف */
  opacity: 0;
  transition: all 0.3s ease-in-out;
}

.portfolio-item .circle-icon {
  width: 50px;
  height: 50px;
  background-color: white;
  color: black;
  border-radius: 50%;
  font-size: 1.8rem;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s ease;
  transform: scale(0);
}

.portfolio-item:hover .overlay {
  opacity: 1;
}

.portfolio-item:hover .circle-icon {
  transform: scale(1);
}




/****************Clints section*****************/
.feedback h6 {
    font-size: 16px;
    font-weight: 600;
    margin: 30px 0px 5px;
}

.feedback span {
    font-size: 12px;
    font-weight: 600;
    color: rgb(136, 136, 136);
    margin-bottom: 30px;
}

.carousel-inner img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    transform: translateY(50%);
    -webkit-transform: translateY(50%);
    -moz-transform: translateY(50%);
    -ms-transform: translateY(50%);
    -o-transform: translateY(50%);
    margin: 0px auto 15px;
}

.carousel-indicators [data-bs-target] {
    height: 10px;
    width: 10px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    text-indent: 0;
    background-color: #b7b3b3;
}



/****************numberssection*****************/
.counter-box {
    color: #343434;
    padding: 50px;
    text-align: center;
    background-color: white;
}

.counter-box span {
    font-size: 30px;
    margin-bottom: 15px;
}

.counter-box h3 {
    font-weight: 900;
    margin-bottom: 15px;
}

.counter-box p {
    font-weight: 600;
    margin-bottom: 30px;
}

/****************Team section*****************/
.layer {
    background-color: white;
    position: absolute;
    top: 5px;
    bottom: 5px;
    right: 5px;
    left: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: 1s;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
}

.Team-icons {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    border: 1px black solid;
    background-color: black;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
    transition: 1s all;
    -webkit-transition: 1s all;
    -moz-transition: 1s all;
    -ms-transition: 1s all;
    -o-transition: 1s all;
}

.Team-icons:hover {
    background-color: white;
    color: black;
}

.card-body {
    color: white;
}

.card:hover .layer {
    transform: rotateY(180deg);
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    -ms-transform: rotateY(180deg);
    -o-transform: rotateY(180deg);
    opacity: 1;
}

.card-img img {
    transition: 1s scale;
    -webkit-transition: 1s scale;
    -moz-transition: 1s scale;
    -ms-transition: 1s scale;
    -o-transition: 1s scale;
}

.Team-img:hover img {
    scale: 1.1;
}

.card-body h5 {
    text-transform: uppercase;
    margin: 0;
    font-size: 20px;
    line-height: 1.1;
}

.Team-title {
    font-weight: 900;
    font-size: 40px;
    position: relative;
    display: inline-block;
    z-index: 4;
}

.main-header h3:after {
    content: "";
    width: 100%;
    height: 30px;
    background-image: url(../imgs/imgs/dots.png);
    background-repeat: repeat;
    position: absolute;
    bottom: -10px;
    left: 0;
    z-index: -1;
}

/****************footer section******************/
.contact-icons {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s all;
    -webkit-transition: 0.5s all;
    -moz-transition: 0.5s all;
    -ms-transition: 0.5s all;
    -o-transition: 0.5s all;
}

.contact-content p {
    color: #818B8A;
}

.contact-content:hover .contact-icons {
    background-color: black;
    color: white;
}

#Contact .container {
    width: 70%;
}

#Contact form button:hover {
    color: black;
    background-color: white;
}

.form-control:focus {
    box-shadow: none;
    background-color: #eee;
}

.form-control {
    border: none;
    background-color: #eee;

}

.form button {
    padding: 10px 40px 10px 40px;
    font-size: 13px;
    font-weight: 400;

}

.box1 {
    padding-bottom: 10px;
}

.box3 {
    padding-bottom: 70px;
}

.bottom-sec {
    background-color: #1C1C1C;
    padding-bottom: 30px;
    padding-top: 30px;
    text-align: center;
    margin: auto;
}

.bottom-sec p {
    font-size: 13px;
    color: #748182;
    word-spacing: 2px;
    text-align: center;
}